<?php
/*
  Template Name: Screenshot
  */
/* -*- php -*- ****************************************************************
 *
 *  System        : 
 *  Module        : 
 *  Object Name   : $RCSfile$
 *  Revision      : $Revision$
 *  Date          : $Date$
 *  Author        : $Author$
 *  Created By    : Robert Heller
 *  Created       : Sat Oct 28 10:26:25 2017
 *  Last Modified : <171114.2220>
 *
 *  Description	
 *
 *  Notes
 *
 *  History
 *	
 ****************************************************************************
 *
 *    Copyright (C) 2017  Robert Heller D/B/A Deepwoods Software
 *			51 Locke Hill Road
 *			Wendell, MA 01379-9728
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 *
 ****************************************************************************/

?>
<?php get_header(); /* header.php */ ?>
<div class="wrap">
  <div id="primary" class="widecolumn">
    <main id="main" class="site-main" role="main">
      <?php if (have_posts()) { 
          while (have_posts()) { 
            the_post(); ?>
            <div class="post" id="post-<?php the_ID(); ?>">
              <!--<h2><?php the_title(); ?></h2>-->
              <div class="entrytext">
                <?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
          
                <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 
                                          'after' => '</p>', 
                                          'next_or_number' => 'number')); ?>
          
              </div>
              <?php
                $showshotimg=$_GET['showshotimg'];
                $showshotcaption=$_GET['showshotcaption'];
                $screenshotbaseurl = "/ScreenShots/".CountryRobot_Theme::get_post_meta($post->ID,'_screenshotdir',false)."/";
                if ( $screenshotbaseurl == "/ScreenShots//") $screenshotbaseurl = "/ScreenShots/".CountryRobot_Theme::get_post_meta($post->ID,'screenshotdir',false)."/";
                if ($showshotimg != "") {
                  $imgURL = $screenshotbaseurl.$showshotimg;
                  $imagesize = getimagesize(home_url($imgURL));
                  echo '<img src="'.$imgURL.'" alt="'.$showshotcaption.'" width="'.$imagesize[0].'" height="'.$imagesize[1].'">';
                  echo '<br clear="all"><h4 class="showshotcaption">'.$showshotcaption.'<br></h4>';
                }
                $screenshots   = CountryRobot_Theme::get_post_meta($post->ID,'_screenshot',true);
                if ( empty($screenshots) ) $screenshots   = CountryRobot_Theme::get_post_meta($post->ID,'screenshot',true);
                if ( ! empty($screenshots) ) { ?>
                <!-- <ul class="screeshotlist"> -->
                <table class="screeshotlist">
                  <?php 
                    foreach( $screenshots as $screenshot ) { ?>
                    <!-- <li> -->
                    <tr class="screeshotlist">
                      <?php 
                        $ssdefaults = array('thumb' => '',
                                            'media' => '',
                                            'caption' => '',
                                            'description' => '');
                        $ssparams = wp_parse_args($screenshot, $ssdefaults); ?>
                      <!-- <div id="screeshotthumb"> -->
                      <td class="screeshotthumb">
                        <ul id="screeshotthumb">
                          <?php
                            $thumbs = $ssparams['thumb'];
                            $medias = $ssparams['media'];
                            $captions = $ssparams['caption'];
                            if ( is_array($thumbs) &&
                                is_array($medias) &&
                                is_array($captions) ) {
                            foreach ($thumbs as $index => $thumb ) {
                              $media = $medias[$index];
                              $caption = $captions[$index]; ?>
                            <li>
                            <?php
                              if( preg_match('/\.(jpg|jpe|jpeg|png|gif)$/', $media) ) {
                                $requri = $_SERVER['REQUEST_URI'];
                                if ( preg_match('/\?/', $requri) ) {
                                  $requri = ereg_replace('(\?.*)$','',$requri);
                                }
                                echo '<a href="'.$requri.'?showshotimg='.urlencode($media).'&showshotcaption='.urlencode($caption).'">';
                              } else {
                                echo '<a href="'.$screenshotbaseurl.$media.'">';
                            } ?>
                          <?php 
                            $thumburi = $screenshotbaseurl.$thumb;
                            $thumbsize = getimagesize(home_url($thumburi));
                            echo '<img class="screenshotthumbimg" src="'.$thumburi.'" alt="'.$caption.'" width="'.$thumbsize[0].'" height="'.$thumbsize[1].'">';
                            echo '<br>'.$caption; ?></a>
                          </li>
                          <?php				
                          }
                        } else {
                          $thumb = $thumbs;
                          $media = $medias;
                          $caption = $captions; ?>
                        <li>
                        <?php
                          if( preg_match('/\.(jpg|jpe|jpeg|png|gif)$/', $media) ) {
                            $requri = $_SERVER['REQUEST_URI'];
                            if ( preg_match('/\?/', $requri) ) {
                              $requri = ereg_replace('(\?.*)$','',$requri);
                            }
                            echo '<a href="'.$requri.'?showshotimg='.urlencode($media).'&showshotcaption='.urlencode($caption).'">';
                          } else {
                            echo '<a href="'.$screenshotbaseurl.$media.'">';
                        } ?>
                      <?php 
                        $thumburi = $screenshotbaseurl.$thumb;
                        $thumbsize = getimagesize(home_url($thumburi));
                        echo '<img src="'.$thumburi.'" alt="'.$caption.'" width="'.$thumbsize[0].'" height="'.$thumbsize[1].'">';
                        echo '<br>'.$caption; ?></a>
                      </li>
                      <?php				
                      }
                    ?>
                  </ul>
                  <!-- </div> -->
                </td>
                <!-- <div id="screeshotdescription"> -->
                <td class="screeshotdescription">
                  <p>
                  <?php
                    echo $ssparams['description']; ?></p>
                  <!-- </div> -->
                </td>
                <!-- </li> -->
              </tr>
              <?php
            } ?>
          <!-- </ul> -->
        </table>
        <?php } ?>
      <?php get_template_part('bottompost'); ?>
      
    </div>
    <?php } } ?>
    <?php get_template_part( 'bottomwide' ); /* bottomwide */?>
    <?php get_template_part( 'bottomsidebar' ); /* bottomsidebar */?>
    </main>
  </div><!-- #primary -->
</div><!-- .wrap --><br clear="all" />

<?php get_footer(); ?>

    
